package GestaoBancos;


/**
 * Classe Cliente (de banco).
 * 
 * @author Joo Carlos Pascoal Faria 
 * @version 30 de Janeiro de 2003
 */
public abstract class Cliente
{
    // instance variables
    protected final int numero;
    protected final String nome;

    /**
     * Constructor for objects of class Cliente
     * 
     * @param numero nmero do cliente
     * @param nome   nome do cliente
     */
    public Cliente(int numero, String nome)
    {
        this.numero = numero;
        this.nome = nome;
    }

    /**
     * Obtem o nmero do cliente
     * 
     * @return  nmero do cliente 
     */
    public int getNumero()
    {
        return numero;
    }
    
    /**
     * Obtem o nome do cliente
     * 
     * @return     nome do cliente 
     */
    public String getNome()
    {
        return nome;
    }
    
    public String toString()
    {
        return "Cliente(numero=" + numero + ", nome=" + nome + ")";
    }
}