
/**
 * Representa uma pergunta com uma lista de respostas sugeridas, em que apenas uma est certa.
 * 
 * @author Joo Carlos Pascoal Faria 
 * @version 18 de Fevereirod e 2003
 */
public class PerguntaMultipla extends Pergunta
{
    /**
     * Lista de respostas sugeridas.
     */
    private String[] listaRespostas;
    
    /**
     * Posio da resposta certa na lista de respostas sugeridas (a comear em 0).
     */
    private int posicaoRespostaCerta;
    

    /**
     * Constri objecto da classe PerguntaMultipla
     */
    public PerguntaMultipla(String pergunta, int grauDificuldade, float pesoPercentual, String[] listaRespostas, int posicaoRespostaCerta)
    {
        super(pergunta, grauDificuldade, pesoPercentual);
        this.listaRespostas = listaRespostas;
        this.posicaoRespostaCerta = posicaoRespostaCerta;
    }
    
    public String getRespostaCerta()
    {
        return Integer.toString(posicaoRespostaCerta + 1);
    }
    
    /**
     * Obtm texto da pergunta pronto a apresentar ao utilizador, j com a lista de respostas
     * sugeridas, numeradas a comear em 1.
     */
    public String getTextoPergunta()
    {
        String texto = textoPergunta;
        for (int i = 0; i < listaRespostas.length; i++)
            texto = texto + "\n" + (i+1) + " - " + listaRespostas[i];
        return texto;
    }
}
